curl --request PUT \
--url https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Terraza 5",
"minimumCapacity": 2,
"maximumCapacity": 4
}
'import requests
url = "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}"
payload = {
"name": "Terraza 5",
"minimumCapacity": 2,
"maximumCapacity": 4
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Terraza 5', minimumCapacity: 2, maximumCapacity: 4})
};
fetch('https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Terraza 5',
'minimumCapacity' => 2,
'maximumCapacity' => 4
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}"
payload := strings.NewReader("{\n \"name\": \"Terraza 5\",\n \"minimumCapacity\": 2,\n \"maximumCapacity\": 4\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Terraza 5\",\n \"minimumCapacity\": 2,\n \"maximumCapacity\": 4\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Terraza 5\",\n \"minimumCapacity\": 2,\n \"maximumCapacity\": 4\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"storeId": "<string>",
"name": "<string>",
"minimumCapacity": 2,
"maximumCapacity": 2,
"disabledForReservations": true,
"disabledForReservationsDays": [
3
],
"sectorId": "<string>",
"opentableTableName": "<string>"
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Editar una mesa del local
Modifica el nombre, capacidades o disponibilidad de una mesa compartida por PDV y reservas. Los campos omitidos se conservan. Actualiza el perfil público del local y registra el cambio. Requiere una conexión con usuario; un token de integración sin usuario devuelve userRequired. Se aplican los permisos del usuario conectado y las mismas validaciones que en el administrador.
curl --request PUT \
--url https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Terraza 5",
"minimumCapacity": 2,
"maximumCapacity": 4
}
'import requests
url = "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}"
payload = {
"name": "Terraza 5",
"minimumCapacity": 2,
"maximumCapacity": 4
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Terraza 5', minimumCapacity: 2, maximumCapacity: 4})
};
fetch('https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Terraza 5',
'minimumCapacity' => 2,
'maximumCapacity' => 4
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}"
payload := strings.NewReader("{\n \"name\": \"Terraza 5\",\n \"minimumCapacity\": 2,\n \"maximumCapacity\": 4\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Terraza 5\",\n \"minimumCapacity\": 2,\n \"maximumCapacity\": 4\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/configuration/tables/{tableId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Terraza 5\",\n \"minimumCapacity\": 2,\n \"maximumCapacity\": 4\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"storeId": "<string>",
"name": "<string>",
"minimumCapacity": 2,
"maximumCapacity": 2,
"disabledForReservations": true,
"disabledForReservationsDays": [
3
],
"sectorId": "<string>",
"opentableTableName": "<string>"
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID Justo o ID externo de un local de GET /ecommerce/stores, dentro de la autorización.
ID Justo obtenido en GET /ecommerce/stores/{storeId}/configuration/tables. Debe pertenecer al local de la ruta.
Body
Campos a modificar de una mesa; los campos omitidos se conservan.
Nombre visible de la mesa.
Cantidad mínima de personas.
x >= 1Cantidad máxima de personas.
x >= 1Deshabilita la mesa para reservas, conservándola en el local.
Días en que no acepta reservas: 0 domingo a 6 sábado.
0 <= x <= 6Nombre exacto de esta mesa en OpenTable. null elimina la asociación.